"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Render = exports.RenderBase = void 0;
var react_1 = __importDefault(require("react"));
var tiny_emitter_1 = require("tiny-emitter");
var rendererLegacy_1 = __importDefault(require("./rendererLegacy"));
exports.RenderBase = function (element) {
    return rendererLegacy_1.default.updateContainer(element, rendererLegacy_1.default.createContainer());
};
var RenderApp = function (props) {
    var _a = react_1.default.useState(false), isStoped = _a[0], setIsStoped = _a[1];
    react_1.default.useEffect(function () {
        props.emitter.on("stop", function () { return setIsStoped(true); });
        props.emitter.on("continue", function () { return setIsStoped(false); });
    }, []);
    return isStoped ? react_1.default.createElement(react_1.default.Fragment, null) : props.children;
};
exports.Render = function (element) {
    var emitter = new tiny_emitter_1.TinyEmitter();
    exports.RenderBase(react_1.default.createElement(RenderApp, { emitter: emitter }, element));
    return {
        stop: function () { return emitter.emit("stop"); },
        continue: function () { return emitter.emit("continue"); },
    };
};
